<?php
/**
 * Aliases for Special:BoardVote
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'SecurePoll' => [ 'SecurePoll' ],
	'SecurePollLog' => [ 'SecurePollLog' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'SecurePoll' => [ 'اقتراع_آمن' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'SecurePoll' => [ 'استطلاع_رأى_امان' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'SecurePoll' => [ 'Защищённое_голосование' ],
];

/** Bashkir (башҡортса) */
$specialPageAliases['ba'] = [
	'SecurePoll' => [ 'SecurePoll' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'SecurePoll' => [ 'ایمنین_رای_گیره_گ' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'SecurePoll' => [ 'সিকিউর_পোল' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'SecurePoll' => [ 'Лардина_кхаж_тасар' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'SecurePoll' => [ 'Bezpečné_hlasování' ],
];

/** Danish (dansk) */
$specialPageAliases['da'] = [
	'SecurePoll' => [ 'Sikker_afstemning' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'SecurePoll' => [ 'Sichere_Abstimmung' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'SecurePoll' => [ 'Dolaİtimadi' ],
];

/** Lower Sorbian (dolnoserbski) */
$specialPageAliases['dsb'] = [
	'SecurePoll' => [ 'Wěste wótgłosowanje' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'SecurePoll' => [ 'Turvaline_hääletus' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'SecurePoll' => [ 'نظرسنجی_امن', 'رأی‌گیری_ایمن' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'SecurePoll' => [ 'Suojattu_kysely' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'SecurePoll' => [ 'Vote_sécurisé' ],
];

/** Arpitan (arpetan) */
$specialPageAliases['frp'] = [
	'SecurePoll' => [ 'Voto_sècurisâ', 'VotoSècurisâ' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'SecurePoll' => [ 'Enquisa_segura' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'SecurePoll' => [ 'Sicheri_Abstimmig' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'SecurePoll' => [ 'הצבעה_מאובטחת' ],
];

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = [
	'SecurePoll' => [ 'सुरक्षित_निर्वाचन' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'SecurePoll' => [ 'Sigurno_glasovanje' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'SecurePoll' => [ 'Wěste_wothłosowanje' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'SecurePoll' => [ 'SondajSekirize' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'SecurePoll' => [ 'Voto_secur' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'SecurePoll' => [ 'SondaggioSicuro' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'SecurePoll' => [ '暗号投票' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'SecurePoll' => [ '비밀투표' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'SecurePoll' => [ 'Affshtemme' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'SecurePoll' => [ 'Sécher_Ofstëmmung' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'SecurePoll' => [ 'БезбедноГласање' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'SecurePoll' => [ 'സുരക്ഷിതവോട്ടെടുപ്പ്' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'SecurePoll' => [ 'सुरक्षीतकौल' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'SecurePoll' => [ 'Sikker_avstemning' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'SecurePoll' => [ 'Beveiligd_stemmen' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'SecurePoll' => [ 'BeveiligdStemmen' ],
];

/** Occitan (occitan) */
$specialPageAliases['oc'] = [
	'SecurePoll' => [ 'Vòte securizat' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'SecurePoll' => [ 'Bezpieczne_głosowanie' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'SecurePoll' => [ 'Защищённое_голосование' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'SecurePoll' => [ 'SondaggioSicuro' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'SecurePoll' => [ 'BezpečnéHlasovanie' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'SecurePoll' => [ 'БезбедноГласање' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'SecurePoll' => [ 'BezbednoGlasanje' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'SecurePoll' => [ 'GüvenliHavuz' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'SecurePoll' => [ 'Захищене_голосування', 'Защищённое_голосование' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'SecurePoll' => [ 'محفوظ_انتخاب' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'SecurePoll' => [ 'Bỏ_phiếu_an_toàn' ],
];

/** Yiddish (ייִדיש) */
$specialPageAliases['yi'] = [
	'SecurePoll' => [ 'זיכערע_שטימונג' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'SecurePoll' => [ '安全投票' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'SecurePoll' => [ '安全投票' ],
];
