-- This file is automatically generated using maintenance/generateSchemaSql.php.
-- Source: ./sql/tables.json
-- Do not modify this file directly.
-- See https://www.mediawiki.org/wiki/Manual:Schema_changes
CREATE TABLE securepoll_entity (
  en_id SERIAL NOT NULL,
  en_type TEXT NOT NULL,
  PRIMARY KEY(en_id)
);


CREATE TABLE securepoll_properties (
  pr_entity INT NOT NULL, pr_key TEXT NOT NULL,
  pr_value TEXT NOT NULL
);

CREATE UNIQUE INDEX sppr_entity ON securepoll_properties (pr_entity, pr_key);


CREATE TABLE securepoll_questions (
  qu_entity INT NOT NULL,
  qu_election INT NOT NULL,
  qu_index INT NOT NULL,
  PRIMARY KEY(qu_entity)
);

CREATE INDEX spqu_election_index ON securepoll_questions (qu_election, qu_index, qu_entity);


CREATE TABLE securepoll_options (
  op_entity INT NOT NULL,
  op_election INT NOT NULL,
  op_question INT NOT NULL,
  PRIMARY KEY(op_entity)
);

CREATE INDEX spop_question ON securepoll_options (op_question, op_entity);

CREATE INDEX spop_election ON securepoll_options (op_election);


CREATE TABLE securepoll_lists (
  li_name TEXT DEFAULT NULL, li_member INT NOT NULL
);

CREATE INDEX splists_name ON securepoll_lists (li_name, li_member);

CREATE INDEX splists_member ON securepoll_lists (li_member, li_name);


CREATE TABLE securepoll_log (
  spl_id SERIAL NOT NULL,
  spl_timestamp TIMESTAMPTZ NOT NULL,
  spl_election_id INT NOT NULL,
  spl_user INT NOT NULL,
  spl_type SMALLINT NOT NULL,
  spl_target INT DEFAULT NULL,
  PRIMARY KEY(spl_id)
);

CREATE INDEX spl_timestamp ON securepoll_log (spl_timestamp);
